org.apache.ignite.cache

## Class CacheTypeMetadata

- java.lang.Object
- - org.apache.ignite.cache.CacheTypeMetadata

All Implemented Interfaces:
  Serializable

Deprecated.
Use `QueryEntity` instead.

    @Deprecated
    public class CacheTypeMetadata
    extends Object
    implements Serializable

Cache type metadata need for configuration of indexes or automatic persistence.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheTypeMetadata()` Deprecated. Default constructor.
`CacheTypeMetadata(CacheTypeMetadata src)` Deprecated. Copy constructor.

### Method Summary

Methods
`Map<String,String>` `getAliases()` Deprecated. Gets aliases mapping.
`Map<String,Class<?>>` `getAscendingFields()` Deprecated. Gets name-to-type map for ascending-indexed fields.
`String` `getDatabaseSchema()` Deprecated. Gets database schema name.
`String` `getDatabaseTable()` Deprecated. Gets table name in database.
`Map<String,Class<?>>` `getDescendingFields()` Deprecated. Gets name-to-type map for descending-indexed fields.
`Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>>` `getGroups()` Deprecated. Gets group-indexed fields.
`Collection<CacheTypeFieldMetadata>` `getKeyFields()` Deprecated. Gets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
`String` `getKeyType()` Deprecated. Gets key type.
`Map<String,Class<?>>` `getQueryFields()` Deprecated. Gets name-to-type map for query-enabled fields.
`String` `getSimpleValueType()` Deprecated. Gets simple value type.
`Collection<String>` `getTextFields()` Deprecated. Gets text-indexed fields.
`Collection<CacheTypeFieldMetadata>` `getValueFields()` Deprecated. Gets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
`String` `getValueType()` Deprecated. Gets value type.
`void` `setAliases(Map<String,String> aliases)` Deprecated. Sets mapping from full property name in dot notation to an alias that will be used as SQL column name.
`void` `setAscendingFields(Map<String,Class<?>> ascFlds)` Deprecated. Sets name-to-type map for ascending-indexed fields.
`void` `setDatabaseSchema(String dbSchema)` Deprecated. Sets database schema name.
`void` `setDatabaseTable(String dbTbl)` Deprecated. Table name in database.
`void` `setDescendingFields(Map<String,Class<?>> descFlds)` Deprecated. Sets name-to-type map for descending-indexed fields.
`void` `setGroups(Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> grps)` Deprecated. Sets group-indexed fields.
`void` `setKeyFields(Collection<CacheTypeFieldMetadata> keyFields)` Deprecated. Sets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
`void` `setKeyType(Class<?> cls)` Deprecated. Sets key type.
`void` `setKeyType(String keyType)` Deprecated. Sets key type.
`void` `setQueryFields(Map<String,Class<?>> qryFlds)` Deprecated. Sets name-to-type map for query-enabled fields.
`void` `setTextFields(Collection<String> txtFlds)` Deprecated. Sets text-indexed fields.
`void` `setValueFields(Collection<CacheTypeFieldMetadata> valFields)` Deprecated. Sets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
`void` `setValueType(Class<?> cls)` Deprecated. Sets value type.
`void` `setValueType(String valType)` Deprecated. Sets value type.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheTypeMetadata

    public CacheTypeMetadata()

Deprecated.
Default constructor.

#### CacheTypeMetadata

    public CacheTypeMetadata(CacheTypeMetadata src)

Deprecated.
Copy constructor.

### Method Detail

#### getDatabaseSchema

    public String getDatabaseSchema()

Deprecated.
Gets database schema name.

Returns:
  Schema name.

#### setDatabaseSchema

    public void setDatabaseSchema(String dbSchema)

Deprecated.
Sets database schema name.

Parameters:
  `dbSchema` - Schema name.

#### getDatabaseTable

    public String getDatabaseTable()

Deprecated.
Gets table name in database.

Returns:
  Table name in database.

#### setDatabaseTable

    public void setDatabaseTable(String dbTbl)

Deprecated.
Table name in database.

Parameters:
  `dbTbl` - Table name in database.

#### getKeyType

    public String getKeyType()

Deprecated.
Gets key type.

Returns:
  Key type.

#### setKeyType

    public void setKeyType(String keyType)

Deprecated.
Sets key type.

Parameters:
  `keyType` - Key type.

#### setKeyType

    public void setKeyType(Class<?> cls)

Deprecated.
Sets key type.

Parameters:
  `cls` - Key type class.

#### getValueType

    public String getValueType()

Deprecated.
Gets value type.

Returns:
  Key type.

#### getSimpleValueType

    public String getSimpleValueType()

Deprecated.
Gets simple value type.

Returns:
  Simple value type.

#### setValueType

    public void setValueType(String valType)

Deprecated.
Sets value type.

Parameters:
  `valType` - Value type.

#### setValueType

    public void setValueType(Class<?> cls)

Deprecated.
Sets value type.

Parameters:
  `cls` - Value type class.

#### getKeyFields

    public Collection<CacheTypeFieldMetadata> getKeyFields()

Deprecated.
Gets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).

Returns:
  Persistent key fields.

#### setKeyFields

    public void setKeyFields(Collection<CacheTypeFieldMetadata> keyFields)

Deprecated.
Sets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).

Parameters:
  `keyFields` - Persistent key fields.

#### getValueFields

    public Collection<CacheTypeFieldMetadata> getValueFields()

Deprecated.
Gets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).

Returns:
  Persistent value fields.

#### setValueFields

    public void setValueFields(Collection<CacheTypeFieldMetadata> valFields)

Deprecated.
Sets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).

Parameters:
  `valFields` - Persistent value fields.

#### getQueryFields

    public Map<String,Class<?>> getQueryFields()

Deprecated.
Gets name-to-type map for query-enabled fields.

Returns:
  Name-to-type map for query-enabled fields.

#### setQueryFields

    public void setQueryFields(Map<String,Class<?>> qryFlds)

Deprecated.
Sets name-to-type map for query-enabled fields.

Parameters:
  `qryFlds` - Name-to-type map for query-enabled fields.

#### getAscendingFields

    public Map<String,Class<?>> getAscendingFields()

Deprecated.
Gets name-to-type map for ascending-indexed fields.

Returns:
  Name-to-type map for ascending-indexed fields.

#### setAscendingFields

    public void setAscendingFields(Map<String,Class<?>> ascFlds)

Deprecated.
Sets name-to-type map for ascending-indexed fields.

Parameters:
  `ascFlds` - Name-to-type map for ascending-indexed fields.

#### getDescendingFields

    public Map<String,Class<?>> getDescendingFields()

Deprecated.
Gets name-to-type map for descending-indexed fields.

Returns:
  Name-to-type map of descending-indexed fields.

#### setDescendingFields

    public void setDescendingFields(Map<String,Class<?>> descFlds)

Deprecated.
Sets name-to-type map for descending-indexed fields.

Parameters:
  `descFlds` - Name-to-type map of descending-indexed fields.

#### getTextFields

    public Collection<String> getTextFields()

Deprecated.
Gets text-indexed fields.

Returns:
  Collection of text indexed fields.

#### setTextFields

    public void setTextFields(Collection<String> txtFlds)

Deprecated.
Sets text-indexed fields.

Parameters:
  `txtFlds` - Text-indexed fields.

#### getGroups

    public Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> getGroups()

Deprecated.
Gets group-indexed fields.

Returns:
  Map of group-indexed fields.

#### setGroups

    public void setGroups(Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> grps)

Deprecated.
Sets group-indexed fields.

Parameters:
  `grps` - Map of group-indexed fields from index name to index fields.

#### setAliases

    public void setAliases(Map<String,String> aliases)

Deprecated.
Sets mapping from full property name in dot notation to an alias that will be used as SQL column name. Example: {"parent.name" -> "parentName"}.

Parameters:
  `aliases` - Aliases.

#### getAliases

    public Map<String,String> getAliases()

Deprecated.
Gets aliases mapping.

Returns:
  Aliases.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016